X2Go Bug report logs - #649
PyHoca-GUI 0.5.0.0 for Windows fails to start

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Mike DePaulo <mikedep333@gmail.com>

Date: Mon, 20 Oct 2014 21:50:01 UTC

Severity: normal

Tags: pending

Found in version 0.5.0.0

Fixed in version 0.5.0.4

Done: Mike DePaulo <mikedep333@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#649; Package pyhoca-gui. (Mon, 20 Oct 2014 21:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 20 Oct 2014 21:50:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: PyHoca-GUI 0.5.0.0 for Windows fails to start
Date: Mon, 20 Oct 2014 17:45:12 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

package: pyhoca-gui
version: 0.5.0.0

I am fairly certain I followed the build instructions[1] correctly.
When I try to run Pyhoca-GUI via either the steps listed below (under Git Bash) or via the NSIS-installed start menu shortcut, neither the splash screen nor the tray icon appears.

 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [29] $ pyhoca-gui.exe
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :) [40] $ pyhoca-gui.exe --debug --libdebug
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [30] $ pyhoca-gui.exe --help
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [31] $ pyhoca-gui.exe --version
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [32] $ cd ..
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [33] $ which python
/c/Python27/python
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [34] $ python pyhoca-gui
Traceback (most recent call last):
  File "pyhoca-gui", line 46, in <module>
    app.main(args=args, logger=logger, liblogger=liblogger)
  File "c:\x2gobuilds\pyhoca-gui\pyhoca\wxgui\launcher.py", line 380, in main
    lang = gettext.translation('PyHoca-GUI', localedir=basepath.locale_basepath, languages=[args.lang], )
  File "c:\Python27\lib\gettext.py", line 469, in translation
    raise IOError(ENOENT, 'No translation file found for domain', domain)
IOError: [Errno 2] No translation file found for domain: 'PyHoca-GUI'
Exception KeyError: KeyError(37756240,) in <module 'threading' from 'c:\Python27\lib\threading.pyc'> ignored
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [38] $ python pyhoca-gui --debug --libdebug
Traceback (most recent call last):
  File "pyhoca-gui", line 46, in <module>
    app.main(args=args, logger=logger, liblogger=liblogger)
  File "c:\x2gobuilds\pyhoca-gui\pyhoca\wxgui\launcher.py", line 380, in main
    lang = gettext.translation('PyHoca-GUI', localedir=basepath.locale_basepath, languages=[args.lang], )
  File "c:\Python27\lib\gettext.py", line 469, in translation
    raise IOError(ENOENT, 'No translation file found for domain', domain)
IOError: [Errno 2] No translation file found for domain: 'PyHoca-GUI'
Exception KeyError: KeyError(39202128,) in <module 'threading' from 'c:\Python27\lib\threading.pyc'> ignored
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [36] $ python pyhoca-gui --version

pyhoca-gui[6312] - an X2Go GUI client written in Python
- ----------------------------------------------------------------------
developed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
sponsored by Dick Kniep <dick.kniep@lindix.nl> (2010-2013)

VERSION: 0.5.0.0


Exception KeyError: KeyError(38477136,) in <module 'threading' from 'c:\Python27\lib\threading.pyc'> ignored



[1] http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:pyhoca-gui
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)

iF4EAREIAAYFAlRFgmgACgkQIFy22CVQsiuecQD+JAJTV3owTP6duKD9yAkLFaD3
rLeNsR5elmUl4MGoJO0BAKxy5G6N9VkCjZ5d3PLkzxppTGPA14KMIGmlNWhV2qYk
=G7/P
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#649; Package pyhoca-gui. (Mon, 20 Oct 2014 22:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 20 Oct 2014 22:05:01 GMT) Full text and rfc822 format available.

Message #10 received at 649@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 649@bugs.x2go.org
Subject: Calling the python script works, calling the .exe still does not
Date: Mon, 20 Oct 2014 18:00:35 -0400
Actually, I was not calling the python script correctly. See it working below.

But the .exe it generates still does not work:

 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :( [81] $ python ./pyhoca-gui
### PyHoca-GUI running in development mode ###
(I exited PyHoca-GUI through its GUI.)
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [82] $ python ./pyhoca-gui
--debug --libdebug
### PyHoca-GUI running in development mode ###
pyhoca-gui[964] (PyHoca-GUI) DEBUG: PyHoca-GUI's user interface language is: en.
pyhoca-gui[964] (x2goinifiles-pylib) INFO: proposed config files are
['z:\\.x2goclient\\sessions']
pyhoca-gui[964] (x2goinifiles-pylib) INFO: config files found:
['z:\\.x2goclient\\sessions']
pyhoca-gui[964] (x2goinifiles-pylib) INFO: proposed config files are
['z:\\.x2goclient\\settings']
pyhoca-gui[964] (x2goinifiles-pylib) INFO: config files found:
['z:\\.x2goclient\\settings']
pyhoca-gui[964] (x2goinifiles-pylib) INFO: proposed config files are
['z:\\.x2goclient\\printing']
pyhoca-gui[964] (x2goinifiles-pylib) INFO: config files found:
['z:\\.x2goclient\\printing']
pyhoca-gui[964] (PyHoca-GUI) INFO: PyHoca GUI is starting up
pyhoca-gui[964] (PyHoca-GUI) INFO: start TaskBarIcon of type:
('__WXMSW__', 'wxMSW', 'unicode', 'wx-assertions-on', 'SWIG-1.3.29')
pyhoca-gui[964] (x2goguardian-pylib) DEBUG: Entering X2Go Guardian
client management loop...
pyhoca-gui[964] (PyHoca-GUI) INFO: exit application
pyhoca-gui[964] (x2goguardian-pylib) DEBUG: X2Go session guardian
thread waking up after 7 seconds
(I exited PyHoca-GUI through its GUI.)


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#649; Package pyhoca-gui. (Tue, 21 Oct 2014 04:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 21 Oct 2014 04:30:02 GMT) Full text and rfc822 format available.

Message #15 received at 649@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 649@bugs.x2go.org
Subject: Missing win32gui.pyd seems to be the issue
Date: Tue, 21 Oct 2014 00:28:53 -0400
I compared the contents of the installed PyHoca-GUI 0.5.0.0-pre02
folder to the dist folder and I noticed that win32gui.pyd is missing
from the dist folder.

Manually copying it over worked around this bug.

I would like to properly fix it though.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#649; Package pyhoca-gui. (Sat, 24 Jan 2015 12:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 24 Jan 2015 12:35:01 GMT) Full text and rfc822 format available.

Message #20 received at 649@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 649-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 649@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Sat, 24 Jan 2015 13:31:50 +0100 (CET)
tag #649 pending
fixed #649 0.5.0.4
thanks

Hello,

X2Go issue #649 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=d02f989

The issue will most likely be fixed in src:pyhoca-gui (0.5.0.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d02f98964b825b426022c3b82f5bdde9053138b0
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sat Jan 24 01:03:52 2015 -0500

    Fix win32 build (Fixes: #649)
    
    Conflicts:
    	debian/changelog

diff --git a/debian/changelog b/debian/changelog
index 4827fa1..fb3b4f5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,10 @@ pyhoca-gui (0.5.0.4-0x2go1) UNRELEASED; urgency=medium
   * New upstream version (0.5.0.4):
     - Add Turkish translation to PyHoca-GUI.
 
+  [ Mike DePaulo ]
+  * New upstream version (0.5.0.4):
+    - Fix win32 build (missing win32gui.pyd) (Fixes: #649)
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 27 Nov 2014 12:34:20 +0100
 
 pyhoca-gui (0.5.0.3-0x2go1) unstable; urgency=medium


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 24 Jan 2015 12:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.5.0.4. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 24 Jan 2015 12:35:02 GMT) Full text and rfc822 format available.

Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#649. (Sat, 24 Jan 2015 12:35:02 GMT) Full text and rfc822 format available.

Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#649. (Sat, 24 Jan 2015 16:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 649-submitter@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 649-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 649@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Sat, 24 Jan 2015 17:44:41 +0100 (CET)
close #649
thanks

Hello,

we are very hopeful that X2Go issue #649 reported by you
has been resolved in the new release (0.5.0.3) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.5.0.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=03b4e45f1288d21d8c598a3ca71a1fbc6014879f;hp=b3fa2d7b41f65901154478afc7169ee0c7e96b45

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.5.0.3-20150124
Status: RELEASE
Date: Sat, 24 Jan 2015 11:03:07 -0500
Fixes: 108 649
Changes: 
 pyhoca-gui (0.5.0.3-20150124) RELEASED; urgency=medium
 .
   [ Mike DePaulo ]
   * New upstream version (Windows Only) (0.5.0.3-20150124):
     - Fix win32 build (missing win32gui.pyd) (Fixes: #649)
     - Windows: Install VcXsrv "misc" fonts by default, and make all 4 font
       groups optional: misc, 75dpi, 100dpi and others (Fixes: #108)
       Note: The fact that all the fonts are included makes the installer about
       30MB larger.
     - Windows: Upgrade from VcXsrv-xp 1.14.3.2 to
       VcXsrv 1.15.2.2-xp+vc2013+x2go1
       This new major version includes security fixes such as:
       OpenSSL update to 1.0.1k
       xorg-server CVE-2014-8091..8103 fixes
     - Windows: Update nxproxy's Cygwin libraries from the
       latest versions as of 2014-06-09 to the
       latest versions as of 2014-10-18.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#649; Package pyhoca-gui. (Sat, 24 Jan 2015 16:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 24 Jan 2015 16:50:01 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 24 Jan 2015 16:50:02 GMT) Full text and rfc822 format available.

Notification sent to Mike DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Sat, 24 Jan 2015 16:50:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#649; Package pyhoca-gui. (Sun, 25 Jan 2015 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 25 Jan 2015 12:15:05 GMT) Full text and rfc822 format available.

Message #44 received at 649@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 649-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 649@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Sun, 25 Jan 2015 13:10:38 +0100 (CET)
close #649
thanks

Hello,

we are very hopeful that X2Go issue #649 reported by you
has been resolved in the new release (0.5.0.4) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.5.0.4)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=513509dcb4ef0552feb1ddaa33f2a86834606499;hp=7a414287b6ead1e4c40d6678d7d82541d267b1a9

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.5.0.4-0x2go1
Status: RELEASE
Date: Sun, 25 Jan 2015 13:08:20 +0100
Fixes: 108 646 649
Changes: 
 pyhoca-gui (0.5.0.4-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.5.0.4):
     - Provide empty Turkish translation file.
 .
   [ Mark Pedersen-Cook ]
   * New upstream version (0.5.0.4):
     - Update Danish translation file. Thanks to Niels Thykier for feedback.
 .
   [ Kaan Ozdincer ]
   * New upstream version (0.5.0.4):
     - Add Turkish translation to PyHoca-GUI.
 .
   [ Mike DePaulo ]
   * New upstream version (0.5.0.4):
     - Fix win32 build (missing win32gui.pyd) (Fixes: #649)
     - Windows: Install VcXsrv "misc" fonts by default, and make all 4 font
       groups optional: misc, 75dpi, 100dpi and others (Fixes: #108)
       Note: The fact that all the fonts are included makes the installer about
       30MB larger.
     - Windows: Upgrade from VcXsrv-xp 1.14.3.2 to
       VcXsrv 1.15.2.2-xp+vc2013+x2go1
       This new major version includes security fixes such as:
       OpenSSL update to 1.0.1k
       xorg-server CVE-2014-8091..8103 fixes
     - Windows: Update nxproxy's Cygwin libraries from the
       latest versions as of 2014-06-09 to the
       latest versions as of 2014-10-18.
     - Windows: Update bundled Python to 2.7.9
     - Windows: Update bundled Python libraries to latest versions
       as of 2015-01-24 (Fixes: #646)


Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#649. (Sun, 25 Jan 2015 12:15:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 23 Feb 2015 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:38:14 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.